import request from '@/utils/request'


//获取所有分区
export function GetAllZone(params){
  return request({
    url: '/api/dialysis/zone',
    method: 'get',
    params: params
  })
}


//获取透析参数

export function getDialysisParameters(params){
   console.log("params============heyuan",params)
  return request({
     url:"/api/dialysis/getdialysisparameters",
     method:"Get",
     params:params
  })
}


export function getDialysisBatchParameters(sch_ids,startime){

  return request({
    url:"/api/dialysis/getdialysisbatchparameters",
    method:"get",
    params: {
      ids: sch_ids,
      startime:startime,
    }
  })
}

export function getWareHouseOutList(params){
  return request({
    url:"/api/dialysis/getwarehouseoutlist",
    method:"get",
    params:params
  })
}


export function getAllMaterial(params){
  return request({
     url:"/api/dialysis/getallmaterial",
     method:"Get",
     params:params
  })
}


export function getCollectList(params){
  
  return request({
    url:"/api/dialysis/getcollectlist",
    method:"get",
    params:params
  })
}

export function getBatchCollection(params){
  return request({
    url:"/api/dialysis/getbatchcollection",
    method:"get",
    params:params
  })
}

export function getGatherList(params){
  return request({
    url:"/api/dialysis/getgatherlist",
    method:"get",
    params:params
  })
}

export function GetAnticoagulantCount(params){
  console.log("params22222",params)
  return request({
    url:"/api/dialysis/getanticoagulantcount",
    method:"get",
    params:params
  })
}